CID 1311767: Cast enum type to avoid compiler warnings
[samba.git] / packaging / RHEL-CTDB / configure.rpm
index a0bcf56654f49a0f1fe99128077565b79157c8ef..62a326c1dea1760acf05b4e30c6969b30492948e 100755 (executable)
@@ -1,43 +1,72 @@
+#!/bin/sh
 
 case `uname -m` in
-     x86_64)
-       libdir=/usr/lib64/samba
-       ;;
-     *)
-       libdir=/usr/lib/samba
-       ;;
+       x86_64)
+               _libarch="/lib64"
+               ;;
+       *)
+               _libarch="/lib"
+               ;;
 esac
 
+_libarchdir=/usr${_libarch}
 
-CFLAGS="-Wall -g -D_GNU_SOURCE" ./configure \
-        --prefix=/usr \
-        --localstatedir=/var \
-        --with-configdir=/etc/samba \
-        --with-libdir=$libdir \
-        --with-lockdir=/var/lib/samba \
-        --with-logfilebase=/var/log/samba \
-        --with-mandir=/usr/man \
-        --with-piddir=/var/run \
-        --with-privatedir=/etc/samba \
-        --with-sambabook=/usr/share/swat/using_samba \
-        --with-swatdir=/usr/share/swat \
-        --enable-cups \
-        --with-acl-support \
-        --with-ads \
-        --with-automount \
-        --with-fhs \
-        --with-pam_smbpass \
-        --with-libsmbclient \
-        --with-libsmbsharemodes \
-        --without-smbwrapper \
-        --with-pam \
-        --with-quotas \
-        --with-shared-modules=idmap_rid,idmap_ad,idmap_tdb2 \
-        --with-syslog \
-        --with-utmp \
-        --with-cluster-support \
-        --with-ctdb=/usr/include \
-        --without-ldb \
-        --with-dnsupdate \
-        --with-aio-support \
+_prefix=/usr
+_sysconfdir=/etc
+_mandir=/usr/man
+_datadir=/usr/share
+
+# check for ccache
+ccache -h 2>&1 > /dev/null
+if [ $? -eq 0 ]; then
+       CC="ccache gcc"
+else
+       CC="gcc"
+fi
+
+shared_modules="idmap_rid,idmap_ad,idmap_tdb2,idmap_rfc2307"
+
+if test "x$BUILD_GPFS" != "xno"; then
+       shared_modules="${shared_modules},vfs_gpfs,vfs_tsmsm"
+fi
+
+./autogen.sh
+
+CC="$CC" CFLAGS="-Wall -g -D_GNU_SOURCE -O3" ./configure -C \
+       --prefix=${_prefix} \
+       --localstatedir=/var \
+       --with-configdir=${_sysconfdir}/samba \
+       --libdir=${_libarchdir} \
+       --with-modulesdir=${_libarchdir}/samba \
+       --with-pammodulesdir=${_libarch}/security \
+       --with-lockdir=/var/lib/samba \
+       --with-logfilebase=/var/log/samba \
+       --mandir=${_mandir} \
+       --with-piddir=/var/run \
+       --with-privatedir=${_sysconfdir}/samba \
+       --with-sambabook=${_datadir}/swat/using_samba \
+       --with-swatdir=${_datadir}/swat \
+       --disable-cups \
+       --with-acl-support \
+       --with-ads \
+       --with-automount \
+       --enable-fhs \
+       --with-pam_smbpass \
+       --with-libsmbclient \
+       --without-smbwrapper \
+       --with-pam \
+       --with-quotas \
+       --with-shared-modules=${shared_modules} \
+       --with-syslog \
+       --with-utmp \
+       --with-cluster-support \
+       --with-ctdb=/usr/include \
+       --without-ldb \
+       --without-dnsupdate \
+       --with-aio-support \
+       --disable-external-libtalloc \
+       --disable-external-libtdb \
        $*
+
+make showlayout
+